Skip to main content
POST
Create DDS Statement

Authorizations

Authorization
string
header
required

API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.

Body

application/json
supplierId
string<uuid>
required

The supplier for this DDS. All articles must be linked to this supplier.

type
enum<string>
required

Activity type: import, export or domestic_production.

Available options:
import,
export,
domestic_production
articles
object[]
required

The article lines to declare: 1–500 lines, each article at most once.

Required array length: 1 - 500 elements
name
string

Name of the statement (at most 100 characters).

Maximum string length: 100

Response

DDS statement created successfully

id
string<uuid>
required

ID of the newly created DDS statement — the group head when a group was created.

memberIds
string<uuid>[]
required

IDs of the member statements when the delivery had to be split into a statement group (in member order); empty for a single statement.